Go to the latest version of this document.

# ``twisted`.`python`.`_appdirs``

module documentation
(source)

Application data directory support.

Function | `getDataDirectory` | Get a data directory for the caller function, or `moduleName` if given.

def getDataDirectory(moduleName: `str` = '') -> `str`: (source)

Get a data directory for the caller function, or `moduleName` if given.

Parameters
moduleName:`str` | The module name if you don't wish to have the caller's module.

Returns
`str` | A directory for putting data in.